# SPDX-License-Identifier: MIT
---
- name: Ensure that the role runs with default parameters
  hosts: all
  gather_facts: false # test that role works in this case
  roles:
    - fedora.linux_system_roles.aide
  tasks:
    - name: Check if the file exists
      ansible.builtin.stat:
        path: /etc/aide.conf
      register: file_check

    - name: Assert that the file exists
      ansible.builtin.assert:
        that: file_check.stat.exists
        fail_msg: The file does not exist.
